Subject: Re: bug#20891: emacs: Back off if .doc is not an Office document

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Nov 2019 18:42:40 +0200

> From: Andreas Schwab <[email-masked]>
> Cc: Robert Pluim <[email-masked]>,  [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 14 Nov 2019 17:33:28 +0100
> 
> On Nov 14 2019, Eli Zaretskii wrote:
> 
> > Where do we have the code or data which does that?
> 
> See auto-mode-alist, and doc-view-mode-maybe.
> 
> > That's OK, but I'm still missing the code which makes this happen.
> > E.g., I just did "C-x C-f foo.doc RET" and got a buffer in Fundamental
> > mode.
> 
> It only works if you have a doc-view-odf->pdf-converter-program.

Thanks, I was blind.

So we want to remove docx? from auto-mode-alist and instead to add the
magic signature to magic-mode-alist?  But then AFAIK MS Word documents
had different signatures for different versions, so we should have
several.  And a literal docx should be left in auto-mode-alist, right?